// Code generated by mockery v2.10.0. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	model "gitlab.com/aleksei.e.kozlov/users-api/internal/pkg/model"
	users_apiv1 "gitlab.com/aleksei.e.kozlov/users-api/pkg/gen/proto/go/users_api/v1"
)

// UserConverterProvider is an autogenerated mock type for the UserConverterProvider type
type UserConverterProvider struct {
	mock.Mock
}

// GRPCToModel provides a mock function with given fields: _a0
func (_m *UserConverterProvider) GRPCToModel(_a0 *users_apiv1.User) (*model.User, error) {
	ret := _m.Called(_a0)

	var r0 *model.User
	if rf, ok := ret.Get(0).(func(*users_apiv1.User) *model.User); ok {
		r0 = rf(_a0)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*model.User)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(*users_apiv1.User) error); ok {
		r1 = rf(_a0)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// ModelToGRPC provides a mock function with given fields: _a0
func (_m *UserConverterProvider) ModelToGRPC(_a0 *model.User) *users_apiv1.User {
	ret := _m.Called(_a0)

	var r0 *users_apiv1.User
	if rf, ok := ret.Get(0).(func(*model.User) *users_apiv1.User); ok {
		r0 = rf(_a0)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*users_apiv1.User)
		}
	}

	return r0
}
